# Interface methods for submodule: UnaryFrequencyDomainFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: UnaryFrequencyDomainFilter
class UnaryFrequencyDomainFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetActualXDimensionIsOdd(self, _arg: bool) -> None:
		""""""
		...

	def GetActualXDimensionIsOdd(self) -> bool:
		""""""
		...

	def ActualXDimensionIsOddOn(self) -> None:
		""""""
		...

	def ActualXDimensionIsOddOff(self) -> None:
		""""""
		...

